/**
 * @file
 * reha behaviors.
 */
(function (Drupal) {

  'use strict';

  Drupal.behaviors.reha = {
    attach: function (context, settings) {

      console.log('It works!');

    }
  };

  
} (Drupal));

jQuery(document).ready(function($){

  // menu déroulant

  //////////////  contacts ///////

  $(".bouton-contact").click(function(event) {
        // Fermer .connexion-full s'il est déroulé
  if ($(".connexion-full").is(":visible")) {
    $(".connexion-full").slideUp();
  }
  if ($(".connected-full").is(":visible")) {
    $(".connected-full").slideUp();
  }
    // Ouvrir .contacts-full
    $(".contacts-full").slideToggle();

  });

//////////////  connexion ///////

  $(".bouton-connexion").click(function(event) {
      // Fermer .contacts-full s'il est déroulé
  if ($(".contacts-full").is(":visible")) {
    $(".contacts-full").slideUp();
  }
  // Ouvrir .connexion-full
    $(".connexion-full").slideToggle();
  });
  
  $(".bouton-connected").click(function(event) {
    // Fermer .contacts-full s'il est déroulé
    if ($(".contacts-full").is(":visible")) {
      $(".contacts-full").slideUp();
    }
    // Ouvrir .connected-full
    $(".connected-full").slideToggle();
  });
  
  $(".titre").click(function(event) {
    if ($(".connected-full").is(":visible")) {
      $(".connected-full").slideUp();
    }
    if ($(".contacts-full").is(":visible")) {
      $(".contacts-full").slideUp();
    }
    if ($(".connexion-full").is(":visible")) {
      $(".connexion-full").slideUp();
    }
    // // Ouvrir .connexion-full
    //   $(".connected-full").slideToggle();
  });
  
  $("#edit-field-dossier-de-candidature-0--label").click(function(event) {
    event.preventDefault();
    // Ouvrir .connexion-full
    $("#edit-field-dossier-de-candidature-0--description>ul.main").slideToggle();
  });


    ////////////// tiroir fichiers ///////

    // $(".profile--type--collaborateur").click(function(event) {
    //   // Ouvrir .tiroir fichiers
    //   $(".layout-sidebar-second").animate({translate:'90%'},350);
    // });
    // $("#block-reha-views-block-current-user-doc-profile-block-1 > h2").click(function(event) {
    //   // Ouvrir .tiroir fichiers
    //   $(".layout-sidebar-second").animate({translate:'0%'},350);
    // });
    $(document).ready(function() {
      // Vérifier l'état initial depuis sessionStorage
      if (sessionStorage.getItem('asideOpened') === 'true') {
          $(".layout-sidebar-second").addClass('open');
      }

      $(".profile--type--collaborateur").click(function(event) {
          // Ouvrir .tiroir fichiers
          $(".layout-sidebar-second").addClass('open');
          sessionStorage.setItem('asideOpened', 'true');
      });

      $("#block-reha-views-block-current-user-doc-profile-block-1 > h2").click(function(event) {
          // Fermer .tiroir fichiers
          $(".layout-sidebar-second").removeClass('open');
          sessionStorage.setItem('asideOpened', 'false');
      });
  });

});


//  slideshow home 

(function($, window) {
  console.log('hello slick')
  $(document).ready(function(){
      $('.view-id-sites.view-display-id-block_1').slick({
        slidesToShow: 1,
        // slidesToScroll: 1,
        dots: false,
        arrows: true,
        centerMode: true,
        adaptiveHeight: true,
        // centerPadding: '100px',
        responsive: [
          {
            breakpoint: 810,
            settings: {
              slidesToShow: 1,
              adaptiveHeight: true,
              arrows: false,
              draggable: true,
              centerMode: true,
            }
          }]
      });
      console.log('salut slick home');

  });

  $(document).ready(function(){
    $('.view-id-actus.view-display-id-block_1').slick({
      slidesToShow: 3,
      // slidesToScroll: 1,
      dots: false,
      arrows: true,
      centerMode: true,
      // centerPadding: '100px',
      responsive: [
        {
          breakpoint: 810,
          settings: {
            slidesToShow: 1,
            adaptiveHeight: true,
            arrows: false,
            draggable: true,
            centerMode: true,
          }
        }]
    });
    console.log('slick actu');
  });
  $(document).ready(function(){
    $('.page-node-site .node-type-site .field--name-field-image > div:nth-child(2)').slick({
      slidesToShow: 1,
      slidesToScroll: 1,
      dots: true,
      arrows: false,
      adaptiveHeight: true,
      // centerMode: true,
      // centerPadding: '100px',
      responsive: [
        {
          breakpoint: 810,
          settings: {
            slidesToShow: 1,
            adaptiveHeight: true,
            arrows: false,
            draggable: true,
            centerMode: true,
          }
        }]
    });
    console.log('slick actu');
  });


  

// /////////////////
//// ancre dans texte au click parragraphe correspondant arrive en dessous du header 


// (function($, window) {
//   var adjustAnchor = function() {
//       var $anchor = $('.block-region-first'),
//               fixedElementHeight = 500;
//       if ($anchor.length > 0) {
//           $('html, body').stop().animate({scrollTop: $anchor.offset().top - fixedElementHeight }, 0);
//       }
//   };

//   $(window).on('hashchange', function() {
//       adjustAnchor();
//   });
// });  


})(jQuery, window);

